ZeroMQ::Raw(3pm)

NAME
ZeroMQ::Raw - Low-level API for ZeroMQ

FUNCTIONS

  zmq_init

  zmq_term

  zmq_msg_close

  zmq_msg_data

  zmq_msg_init

  zmq_msg_init_data

  zmq_msg_init_size

  zmq_msg_size

  zmq_msg_move

  zmq_msg_copy

  zmq_bind

  zmq_close

  zmq_connect

  zmq_getsockopt

  zmq_recv

  zmq_send

  zmq_setsockopt

  zmq_socket

  zmq_poll( \@list_of_hashrefs, $timeout )
Calls zmq_poll on the given items as specified by @list_of_hashrefs. Each element in @list_of_hashrefs should be a hashref containing the following keys:

socket
    Contains the ZeroMQ::Raw::Socket object to poll.

fd  Contains the file descriptor to poll. Either one of socket or fd must be specified. If both are specified, 'socket' will take precedence.

events
    A bitmask of ZMQ_POLLIN, ZMQ_POLLOUT, ZMQ_POLLERR

callback
    Callback that gets invoked. Takes no arguments.

  zmq_device( device, insocket, outsocket )